package vip.xiaonuo.exam.service;

import com.github.pagehelper.PageInfo;
import vip.xiaonuo.auth.core.pojo.SaBaseLoginUser;
import vip.xiaonuo.exam.domain.TaskExam;
import vip.xiaonuo.exam.viewmodel.admin.task.TaskPageRequestVM;
import vip.xiaonuo.exam.viewmodel.admin.task.TaskRequestVM;

import java.util.List;

public interface TaskExamService extends BaseService<TaskExam> {

    PageInfo<TaskExam> page(TaskPageRequestVM requestVM);

    void edit(TaskRequestVM model, SaBaseLoginUser user);

    TaskRequestVM taskExamToVM(Integer id);

    List<TaskExam> getByGradeLevel(Integer gradeLevel);
}
